dnsmasq driver not compatible with dnsmasq pre 2.53

Bug #1123624 reported by Allan Feid on 2013-02-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
Undecided
Unassigned

Bug Description

https://www.redhat.com/archives/rhos-list/2012-December/msg00053.html

The above email thread does a great job of explaining what's wrong. When using dnsmasq 2.48 with centos 6.3, the set:TAG and referencing that tag do not work. The attached hacked patch solves my problem. However, a more elegant solution would be to detect the version of dnsmasq via dnsmasq --version, and change the options that way.

Allan Feid (crayz) wrote :
Mark McClain (markmcclain) wrote :

Quantum supports dnsmasq version 2.59 and newer.

The limitation is documented in manual here:
http://docs.openstack.org/folsom/openstack-network/admin/content/ch_install.html

Changed in quantum:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers